# PhasicFlow: pointStructure::activePointsDevice Class Reference

pointStructure::activePointsDevice Class Reference

## Public Member Functions

INLINE_FUNCTION_H | activePointsDevice (bool allActive, range active, const ViewType1D< int8 > &flag)
INLINE_FUNCTION_HD | activePointsDevice (const activePointsDevice &)=default
INLINE_FUNCTION_HD activePointsDevice & | operator= (const activePointsDevice &)=default
INLINE_FUNCTION_HD bool | operator() (int32 i) const
INLINE_FUNCTION_HD auto | activeRange () const
INLINE_FUNCTION_HD auto | allActive () const

## Protected Attributes

ViewType1D< int8 > | flag_
bool | allActive_
range | activeRange_

## Detailed Description

Definition at line 59 of file pointStructure.hpp.

## Constructor & Destructor Documentation

## activePointsDevice() [1/2]

INLINE_FUNCTION_H activePointsDevice | ( | bool | allActive,
|  | range | active,
|  | const ViewType1D< int8 > & | flag
| ) |  |

inline

Definition at line 71 of file pointStructure.hpp.

## activePointsDevice() [2/2]

INLINE_FUNCTION_HD activePointsDevice | ( | const activePointsDevice & |  | ) |

default

## Member Function Documentation

## operator=()

INLINE_FUNCTION_HD activePointsDevice& operator= | ( | const activePointsDevice & |  | ) |

default

## operator()()

INLINE_FUNCTION_HD bool operator() | ( | int32 | i | ) | const

inline

Definition at line 85 of file pointStructure.hpp.

References pointStructure::activePointsDevice::activeRange_, and pointStructure::activePointsDevice::flag_.

## activeRange()

INLINE_FUNCTION_HD auto activeRange | ( |  | ) | const

inline

Definition at line 91 of file pointStructure.hpp.

References pointStructure::activePointsDevice::activeRange_.

## allActive()

INLINE_FUNCTION_HD auto allActive | ( |  | ) | const

inline

Definition at line 96 of file pointStructure.hpp.

References pointStructure::activePointsDevice::allActive_.

## Member Data Documentation

## flag_

ViewType1D<int8> flag_

protected

Definition at line 62 of file pointStructure.hpp.

Referenced by pointStructure::activePointsDevice::operator()().

## allActive_

bool allActive_

protected

Definition at line 64 of file pointStructure.hpp.

Referenced by pointStructure::activePointsDevice::allActive().

## activeRange_

range activeRange_

protected

Definition at line 66 of file pointStructure.hpp.

Referenced by pointStructure::activePointsDevice::activeRange(), and pointStructure::activePointsDevice::operator()().

The documentation for this class was generated from the following file:

- src/phasicFlow/structuredData/pointStructure/pointStructure.hpp